<template>
  <div id="table">
    <b-table
      striped
      hover
      :fields="fields"
      :items="items"
      class="text-center"
      show-empty>

      <!-- Slot vacio -->
      <template #empty>
        <h4>No results</h4>
      </template>

    </b-table>
  </div>
</template>

<script>
export default {
    name: 'CustomTable',
    props: {
      items: { type: Array, required: true },
      fields: {
        type: Array,
        required: false,
        default: () => {
          return [
            { key: 'first', label: 'First player', sortable: false },
            { key: 'second', label: 'Second player', sortable: false },
            { key: 'result', label: 'Result', sortable: false }
          ]
        }
      }
    },
    data() {
      return {}
    },
    methods: {}
  }
</script>
